import request from '@/utils/request'

// 查询EHS开项跟踪列表
export function listEhsopenitem(query) {
  return request({
    url: '/plant/ehsopenitem/list',
    method: 'get',
    params: query
  })
}

// 查询EHS开项跟踪列表
export function ehsData(query) {
  return request({
    url: '/plant/ehsopenitem/ehsData',
    method: 'get',
    params: query
  })
}

// 查询EHS开项跟踪详细
export function getEhsopenitem(id) {
  return request({
    url: '/plant/ehsopenitem/' + id,
    method: 'get'
  })
}

// 新增EHS开项跟踪
export function addEhsopenitem(data) {
  return request({
    url: '/plant/ehsopenitem',
    method: 'post',
    data: data
  })
}

// 修改EHS开项跟踪
export function updateEhsopenitem(data) {
  return request({
    url: '/plant/ehsopenitem',
    method: 'put',
    data: data
  })
}

// 删除EHS开项跟踪
export function delEhsopenitem(id) {
  return request({
    url: '/plant/ehsopenitem/' + id,
    method: 'delete'
  })
}

// 导出EHS开项跟踪
export function exportEhsopenitem(query) {
  return request({
    url: '/plant/ehsopenitem/export',
    method: 'get',
    params: query
  })
}
